use std::env;
use std::error::Error;

#[tokio::main]
async fn main() -> Result<(), Box<dyn Error>> {
    swabd::serve(
        env::var("SWABD_PORT")
            .map(|tz| tz.parse::<i32>().unwrap())
            .ok(),
        env::var("SWABD_TZ").ok(),
    )
    .await
}
